##
##  iozone.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_logic  3.507
%define       V_real   3_507

#   package information
Name:         iozone
Summary:      Filesystem Benchmark
URL:          http://www.iozone.org/
Vendor:       William D. Norcott
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Benchmark
License:      Open Source
Version:      %{V_logic}
Release:      20250209

#   list of sources
Source0:      http://www.iozone.org/src/current/iozone%{V_real}.tar
Patch0:       iozone.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, make
PreReq:       OpenPKG, openpkg >= 20160101

%description
    IOzone is a filesystem benchmark tool. The benchmark generates and
    measures a variety of file operations. Iozone has been ported to
    many machines and runs under many operating systems.

%track
    prog iozone = {
        version   = %{V_real}
        url       = http://www.iozone.org/src/current/
        regex     = iozone(__VER__)\.tar
    }

%prep
    %setup -q -n iozone%{V_real}
    chmod 644 src/current/iozone.c
    chmod 644 src/current/makefile
    %patch -p0
    %{l_shtool} subst -e 's;-Dlinux;-Dlinux $(MADV);' src/current/makefile

%build
    cd src/current
    platform="generic"
    defs=""
    case "%{l_platform -t}" in
        *-freebsd*  ) platform="freebsd"  ;;
        *-netbsd*   ) platform="netbsd"   ;;
        *-linux2.2* ) platform="linux"
                      defs="-DNO_MADVISE" ;;
        *-linux*    ) platform="linux"    ;;
        *-sunos*    ) platform="Solaris"  ;;
    esac
    %{l_make} %{l_mflags} \
        CC="%{l_cc}" CFLAGS="%{l_cflags -O}" MADV="$defs" \
        $platform

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        src/current/iozone $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        docs/iozone.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

